## GoaReadLater GoaReadLater — Generated C code for the org.gnome.OnlineAccounts.ReadLater D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_read_later_interface_info ()
guint | goa_read_later_override_properties ()

## Types and Values

| GoaReadLater
struct | GoaReadLaterIface
struct | GoaReadLaterProxy
struct | GoaReadLaterProxyClass
struct | GoaReadLaterSkeleton
struct | GoaReadLaterSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaReadLater
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaReadLaterSkeleton
        ╰── GDBusProxy
            ╰── GoaReadLaterProxy

## Prerequisites

GoaReadLater requires GObject.

## Implemented Interfaces

GoaReadLaterProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaReadLater.

GoaReadLaterSkeleton implements GDBusInterface and GoaReadLater.

## Known Implementations

GoaReadLater is implemented by GoaReadLaterProxy and GoaReadLaterSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.ReadLater D-Bus interface in C.

## Functions

### goa_read_later_interface_info ()

    GDBusInterfaceInfo *
    goa_read_later_interface_info (void);

`goa_read_later_interface_info` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Gets a machine-readable description of the org.gnome.OnlineAccounts.ReadLater D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.12.0

### goa_read_later_override_properties ()

    guint
    goa_read_later_override_properties (GObjectClass *klass,
                                        guint property_id_begin);

`goa_read_later_override_properties` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Overrides all GObject properties in the GoaReadLater interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.12.0

## Types and Values

### GoaReadLater

    typedef struct _GoaReadLater GoaReadLater;

`GoaReadLater` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.ReadLater.

Since: 3.12.0

### struct GoaReadLaterIface

    struct GoaReadLaterIface {
      GTypeInterface parent_iface;
    };

`GoaReadLaterIface` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.ReadLater.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 3.12.0

### struct GoaReadLaterProxy

    struct GoaReadLaterProxy;

`GoaReadLaterProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaReadLaterProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.12.0

### struct GoaReadLaterProxyClass

    struct GoaReadLaterProxyClass {
      GDBusProxyClass parent_class;
    };

`GoaReadLaterProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaReadLaterProxy.

#### Members

Since: 3.12.0

### struct GoaReadLaterSkeleton

    struct GoaReadLaterSkeleton;

`GoaReadLaterSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaReadLaterSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.12.0

### struct GoaReadLaterSkeletonClass

    struct GoaReadLaterSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`GoaReadLaterSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaReadLaterSkeleton.

#### Members

Since: 3.12.0